package security

// AUTOGENERATED. DO NOT EDIT.

import (
	cdp "github.com/knq/chromedp/cdp"
)

// EventSecurityStateChanged the security state of the page changed.
type EventSecurityStateChanged struct {
	SecurityState         State                  `json:"securityState,omitempty"`         // Security state.
	SchemeIsCryptographic bool                   `json:"schemeIsCryptographic,omitempty"` // True if the page was loaded over cryptographic transport such as HTTPS.
	Explanations          []*StateExplanation    `json:"explanations,omitempty"`          // List of explanations for the security state. If the overall security state is `insecure` or `warning`, at least one corresponding explanation should be included.
	InsecureContentStatus *InsecureContentStatus `json:"insecureContentStatus,omitempty"` // Information about insecure content on the page.
	Summary               string                 `json:"summary,omitempty"`               // Overrides user-visible description of the state.
}

// EventTypes all event types in the domain.
var EventTypes = []cdp.MethodType{
	cdp.EventSecuritySecurityStateChanged,
}
